import { Module } from '@nestjs/common';
import { ProductsService } from './products.service';
import { ProductsController } from './products.controller';
import { productsProviders } from './products.providers';
import { ShoppingCardsService } from '../shopping-cards/shopping-cards.service';
import { ReceiptsService } from '../receipts/receipts.service';
import { shoppingCardsProviders } from '../shopping-cards/shopping-cards.providers';
import { receiptsProviders } from '../receipts/receipts.providers';
import { OrdersService } from '../orders/orders.service';
import { ordersProviders } from '../orders/orders.providers';

@Module({
  controllers: [ProductsController],
  exports: [ProductsService],
  providers: [
    ProductsService,
    ...productsProviders,
    ShoppingCardsService,
    ReceiptsService,
    ...shoppingCardsProviders,
    ...receiptsProviders,
    OrdersService,
    ...ordersProviders,
  ],
})
export class ProductsModule {}
