import {
  Controller,
  Get,
  Post,
  Body,
  Patch,
  Param,
  Delete,
} from '@nestjs/common';
import { ShoppingCardsService } from './shopping-cards.service';
import { CreateShoppingCardDto, UpdateShoppingCardDto } from './dto';
import { ReceiptsService } from '../receipts/receipts.service';
import { CreateReceiptDto } from '../receipts/dto';

@Controller('shopping-cards')
export class ShoppingCardsController {
  constructor(private readonly shoppingCardsService: ShoppingCardsService) {}

  @Post()
  create(@Body() createShoppingCardDto: CreateShoppingCardDto) {
    return this.shoppingCardsService.create(createShoppingCardDto);
  }

  @Get()
  findAll() {
    return this.shoppingCardsService.findAll();
  }

  @Get(':id')
  findbyUser(@Param('id') id: string) {
    return this.shoppingCardsService.findbyUser(+id);
  }

  @Patch(':id')
  update(
    @Param('id') id: string,
    @Body() updateShoppingCardDto: UpdateShoppingCardDto,
  ) {
    return this.shoppingCardsService.update(+id, updateShoppingCardDto);
  }

  @Delete('/purchase/:id')
  submitPurchase(@Param('id') id: string) {
    return this.shoppingCardsService.submitPurchase(+id);
  }

  @Delete(':id')
  remove(@Param('id') id: string) {
    return this.shoppingCardsService.remove(+id);
  }
}
