import { Module } from '@nestjs/common';
import { ShoppingCardsService } from './shopping-cards.service';
import { ShoppingCardsController } from './shopping-cards.controller';
import { shoppingCardsProviders } from './shopping-cards.providers';
import { ReceiptsService } from '../receipts/receipts.service';
import { receiptsProviders } from '../receipts/receipts.providers';
import { ProductsService } from '../products/products.service';
import { productsProviders } from '../products/products.providers';
import { OrdersService } from '../orders/orders.service';
import { ordersProviders } from '../orders/orders.providers';

@Module({
  controllers: [ShoppingCardsController],
  providers: [
    ShoppingCardsService,
    ...shoppingCardsProviders,
    ReceiptsService,
    ...receiptsProviders,
    ProductsService,
    ...productsProviders,
    OrdersService,
    ...ordersProviders,
  ],
  exports: [ShoppingCardsService],
})
export class ShoppingCardsModule {}
