import {
  Controller,
  Get,
  Post,
  Body,
  Patch,
  Param,
  Delete,
} from '@nestjs/common';
import { WalletsTransactionsService } from './wallets-transactions.service';
import { CreateWalletsTransactionDto } from './dto/create-wallets-transaction.dto';

@Controller('wallets-transactions')
export class WalletsTransactionsController {
  constructor(
    private readonly walletsTransactionsService: WalletsTransactionsService,
  ) {}

  @Get()
  findAll() {
    return this.walletsTransactionsService.findAll();
  }

  @Get(':id')
  findOne(@Param('id') id: number) {
    return this.walletsTransactionsService.findOne(id);
  }

  @Get('users/:id')
  findByUser(@Param('id') id: number) {
    return this.walletsTransactionsService.findByUser(id);
  }
}
