import { Inject, Injectable } from '@nestjs/common';
import { CreateWalletsTransactionDto } from './dto/create-wallets-transaction.dto';
import { WALLET_TRANSACTIONS_REPOSITORY } from 'src/core/constants';
import { WalletsTransactions } from './entities/wallets-transaction.entity';

@Injectable()
export class WalletsTransactionsService {
  constructor(
    @Inject(WALLET_TRANSACTIONS_REPOSITORY)
    private readonly walletsTransactionsRepository: typeof WalletsTransactions,
  ) {}
  async create(createWalletsTransactionDto: CreateWalletsTransactionDto) {
    return await this.walletsTransactionsRepository.create(
      createWalletsTransactionDto,
    );
  }

  async findAll() {
    return await this.walletsTransactionsRepository.findAll();
  }

  async findOne(id: number) {
    return await this.walletsTransactionsRepository.findAll({ where: { id } });
  }

  async findByUser(id: number) {
    return await this.walletsTransactionsRepository.findAll({
      where: { userId: id },
    });
  }
}
