import { Body, Controller, Get, Param, Patch } from '@nestjs/common';
import { WalletsService } from './wallets.service';
import { UUID } from 'crypto';
import { UpdateWalletDto } from './dto/update-wallet.dto';

@Controller('wallets')
export class WalletsController {
  constructor(private readonly walletsService: WalletsService) {}

  @Get('balance/:id')
  getWallet(@Param('id') id: UUID) {
    return this.walletsService.getWallet(id);
  }

  @Patch('deposit/:id')
  deposit(@Param('id') id: UUID, @Body() updateWalletDto: UpdateWalletDto) {
    return this.walletsService.deposit(id, updateWalletDto);
  }

  @Patch('withdraw/:id')
  withdraw(@Param('id') id: UUID, @Body() updateWalletDto: UpdateWalletDto) {
    return this.walletsService.withdraw(id, updateWalletDto);
  }
}
