import { Module } from '@nestjs/common';
import { WalletsService } from './wallets.service';
import { WalletsController } from './wallets.controller';
import { walletsProviders } from './wallets.providers';
import { UsersService } from '../users/users.service';
import { WalletsTransactionsModule } from '../wallets-transactions/wallets-transactions.module';
import { UsersModule } from '../users/users.module';
import { usersProviders } from '../users/users.providers';

@Module({
  imports: [WalletsTransactionsModule, UsersModule],
  controllers: [WalletsController],
  providers: [
    WalletsService,
    UsersService,
    ...walletsProviders,
    ...usersProviders,
  ],
  exports: [WalletsService],
})
export class WalletsModule {}
